CREAL(3P)

NAME
creal, crealf - complex real functions

SYNOPSIS

#include <complex.h>

double creal(double complex z);
float crealf(float complex z);
long double creall(long double complex z);

DESCRIPTION

These functions compute the real part of z.

RETURN VALUE

These functions return the real part value.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

For a variable z of type complex:

    z == creal(z) + cimag(z)*I

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

carg(), cimag(), conj(), cproj(), the Base Definitions volume of IEEE Std 1003.1-2001, <complex.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .